package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 维修商对象 td_indenture
 * 
 * @author ruoyi
 * @date 2024-04-08
 */
public class TdIndenture extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 维修商id */
    private Long indentureId;

    /** 维修商名称 */
    @Excel(name = "维修商名称")
    private String indentureName;

    /** 维修商地址 */
    @Excel(name = "维修商地址")
    private String indentureAddress;

    /** 维修商座机 */
    @Excel(name = "维修商座机")
    private String indenturePhone;

    /** 维修商手机 */
    @Excel(name = "维修商手机")
    private String indentureMobile;

    /** 联系人 */
    @Excel(name = "联系人")
    private String indentureLinkman;

    /** 联系人电话 */
    @Excel(name = "联系人电话")
    private String linkmanPhone;

    /** 联系人手机 */
    @Excel(name = "联系人手机")
    private String linkmanMobile;

    /** 维修商状态 */
    @Excel(name = "维修商状态", readConverterExp = "0=正常,1=停用")
    private String indentureState;

    /** 备注*/
    @Excel(name = "备注")
    private String REMARK;

    @Override
    public String getRemark() {
        return REMARK;
    }

    @Override
    public void setRemark(String remark) {
        this.REMARK = remark;
    }

    /** 创建人 */
    @Excel(name = "创建人")
    private String createStaffid;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    public void setIndentureId(Long indentureId)
    {
        this.indentureId = indentureId;
    }

    public Long  getIndentureId()
    {
        return indentureId;
    }
    public void setIndentureName(String indentureName) 
    {
        this.indentureName = indentureName;
    }

    public String getIndentureName() 
    {
        return indentureName;
    }
    public void setIndentureAddress(String indentureAddress) 
    {
        this.indentureAddress = indentureAddress;
    }

    public String getIndentureAddress() 
    {
        return indentureAddress;
    }
    public void setIndenturePhone(String indenturePhone) 
    {
        this.indenturePhone = indenturePhone;
    }

    public String getIndenturePhone() 
    {
        return indenturePhone;
    }
    public void setIndentureMobile(String indentureMobile) 
    {
        this.indentureMobile = indentureMobile;
    }

    public String getIndentureMobile() 
    {
        return indentureMobile;
    }
    public void setIndentureLinkman(String indentureLinkman) 
    {
        this.indentureLinkman = indentureLinkman;
    }

    public String getIndentureLinkman() 
    {
        return indentureLinkman;
    }
    public void setLinkmanPhone(String linkmanPhone) 
    {
        this.linkmanPhone = linkmanPhone;
    }

    public String getLinkmanPhone() 
    {
        return linkmanPhone;
    }
    public void setLinkmanMobile(String linkmanMobile) 
    {
        this.linkmanMobile = linkmanMobile;
    }

    public String getLinkmanMobile() 
    {
        return linkmanMobile;
    }
    public void setIndentureState(String indentureState) 
    {
        this.indentureState = indentureState;
    }

    public String getIndentureState() 
    {
        return indentureState;
    }
    public void setCreateStaffid(String createStaffid) 
    {
        this.createStaffid = createStaffid;
    }

    public String getCreateStaffid() 
    {
        return createStaffid;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("indentureId", getIndentureId())
            .append("indentureName", getIndentureName())
            .append("indentureAddress", getIndentureAddress())
            .append("indenturePhone", getIndenturePhone())
            .append("indentureMobile", getIndentureMobile())
            .append("indentureLinkman", getIndentureLinkman())
            .append("linkmanPhone", getLinkmanPhone())
            .append("linkmanMobile", getLinkmanMobile())
            .append("indentureState", getIndentureState())
            .append("REMARK", getRemark())
            .append("createStaffid", getCreateStaffid())
            .append("createDate", getCreateDate())
            .toString();
    }

}
